Subject: Re: [PATCH 2/2] mergetool: run prompt only if guessed tool

From: Charles Bailey <[email-masked]>
Date: Wed, 23 Apr 2014 08:56:01 +0100

On Tue, Apr 22, 2014 at 02:56:22AM -0500, Felipe Contreras wrote:
> An explicitly set mergetool.prompt = true would override the default. See the
> patch.

I have had a chance to test the patch now and it looks good. I think
when glancing at it before I missed the change that dropped "|| echo
true" from 

prompt=$(git config --bool mergetool.prompt || echo true)

so I wasn't sure where the implicit true / explicit true difference was
handled.

> I looked, the documentation doesn't mention any default. We could add it, but I
> don't think it's necesarily part of this patch.

The bit of documentation that I was thinking of is in
Documentation/git-mergetool.txt where it states that "--prompt" is the
default which is now only partially true.